LINUX.ORG.RU

Запретить обновления пакета


0

0

У меня стоит Ubuntu8.04, и я использую программу aMule.

Проблема заключается в том, что aMule, который лежит в репозиториях — нестабилен. При его использовании происходит ужасная утечка памяти, и компьютер просто вешается, хрустя жёстким диском.

Проблему решил установкой версии из Ubuntu7.10 (там не бетта).

Но теперь при обновлении, он обновляет aMule на бетту.

Как запретить всем программам, которые могут обновлять пакеты, установку более свежей версии конкретного пакета?

anonymous

Ответ на: Re: Запретить обновления пакета от HighwayStar

Re: Запретить обновления пакета

> еще можно попробоавть aptitude hold pkgname

hold работает очень ограниченно. В результате upgrade всё равно новая версия приедет.

annoynymous ★★ ()

Re: Запретить обновления пакета

> Как запретить всем программам, которые могут обновлять пакеты, установку более свежей версии конкретного пакета?

1) Собрать свою версию пакета с заведомо более высокой версией, чем предвидится в ближайшее время в репозитории.

2) Собрать пакет со своим именем и прописать ему в Conflicts имя пакета из репозитория.

Второй вариант самый правильный.

annoynymous ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.